from fastapi import APIRouter, Depends
from sqlalchemy.ext.asyncio import AsyncSession

from app.dependencies.db import get_db

router = APIRouter()


@router.get("/health", summary="Health check endpoint")
async def health_check(db: AsyncSession = Depends(get_db)):
    """
    Health check endpoint that verifies the service is running
    and can connect to the database.
    """
    return {"status": "healthy", "database": "connected"}
